<div>
  <div style="display: flex; align-items: center; justify-content: space-between">
    <mat-form-field>
      <select matNativeControl required [(ngModel)]="selectedCategory" (change)="onCategoryChange()">
        <ng-container *ngFor="let label of chartLabelings; let i = index;">
          <option [ngValue]="label" *ngIf="i === 0" selected>{{label.name}}</option>
          <option [ngValue]="label" *ngIf="i !== 0">{{label.name}}</option>
        </ng-container>
      </select>
    </mat-form-field>
    <div>
      <label >Chart-Height: {{chartHeight}}</label><br>
      <input type="range" id="zoom" min="300" max="600" step="10" [(ngModel)]="chartHeight" (input)="onChartHeightChange()">
    </div>
  </div>
  <div>
    <apx-chart #chart
               [series]="chartOptions.series"
               [chart]="chartOptions.chart"
               [xaxis]="chartOptions.xaxis"
               [dataLabels]="chartOptions.dataLabels"
               [grid]="chartOptions.grid"
               [stroke]="chartOptions.stroke"
               [title]="chartOptions.title"
               [yaxis]="chartOptions.yaxis"
               [plotOptions]="chartOptions.plotOptions"
               [legend]="chartOptions.legend"
               [colors]="chartOptions.colors"
    ></apx-chart>
  </div>
</div>
